{
  "AbilityName": "ArtifactAbyssS2_Coin_1339904",
  "AbilitySpecials": {
    "AS_AddedDamageRatio": {
      "Value": 0
    },
    "AddedDamageRatio": {
      "Value": 1
    }
  },
  "AbilityStacking": "Unique",
  "DefaultModifier": {
    "ModifierStacking": "Unique",
    "OnHitOther": [
      {
        "$type": "SetAbilitySpecialByExpression",
        "Expression": "item(1)*0.01*specials(AddedDamageRatio)",
        "ParamName": "AS_AddedDamageRatio",
        "ValueType": "Float"
      },
      {
        "$type": "ModifyAttackDataAction",
        "PropertyKey": "Actor_AddedDamageRatio",
        "PropertyValue": "%AS_AddedDamageRatio",
        "Target": "Self"
      }
    ]
  }
}